/*
 * muppetcam - uploading webcam viewer
 * by muppet <scott@asofyet.org>, 20-21 june 2002
 *
 * vicam.h - MuppetCam driver for direct control (no kernel driver) of 
 *           3Com HomeConnect USB WebCams.
 *           This is a subclass of Camera.
 */



/*
 * create a new Camera object for the device with the given index in the
 * vicam list.  use vicam_usb_init() to scan the bus and find out how
 * many cams there are.
 *
 * returns NULL if anything goes wrong.
 */
Camera * vicam_new ( int handle );

/* control indices. */
#define VICAM_SPEED	0
#define VICAM_GAIN 	1

