/*
 * muppetcam - uploading webcam viewer
 * by muppet <scott@asofyet.org>, 20-21 june 2002
 *
 * v4lcam.h - MuppetCam driver for Video4Linux devices.
 *            This is a subclass of Camera.
 */


/*
 * create a new Camera object for the device at the given path,
 * e.g., /dev/video0 .
 *
 * returns NULL if anything goes wrong.
 */
Camera * v4lcam_new     ( char   * device );

/* control indices. */
#define V4LCAM_BRIGHTNESS 0
#define V4LCAM_CONTRAST   1
#define V4LCAM_HUE        2
#define V4LCAM_COLOR      3
#define V4LCAM_WHITENESS  4

